window.glmdev = window.glmdev || {}

window.glmdev.taglines = [
    '...is proud that this site is Google-free',
    '...is a supporter of FLOSS',
    '...prefers TypeScript, but C++ will do',
    '...occasionally rants about dependency injection',
    '...loves GNU/Linux',
    '(or as I\'ve recently taken to calling it, GNU+Linux)',
    '...uses spaces, not tabs',
    '...self-hosts all the things',
    '...uses the Oxford comma',
    '...occasionally does contract work',
    '...reads the terms and conditions',
    '...is an RSS nerd',
    '...just lost the game',
    '...listens to indie music',
    '...is running out of tag-line ideas',
    `copyright &copy; ${(new Date()).getFullYear()}`,
]

document.querySelector('#tagline')
    .addEventListener('click', event => {
        if ( typeof glmdev.tagline_index === 'undefined' ) glmdev.tagline_index = 0
        else if ( glmdev.tagline_index === glmdev.taglines.length - 1 ) glmdev.tagline_index = 0
        else glmdev.tagline_index += 1

        document.querySelector('#tagline').innerHTML = glmdev.taglines[glmdev.tagline_index]
    })

document.querySelector('#timeline-view-all')
    .addEventListener('click', event => {
        const hidden = document.querySelectorAll('.work-container.theme-hide')
        for ( const item of hidden ) {
            item.classList.remove('theme-hide')
        }

        document.querySelector('#timeline-view-all').classList.add('theme-hide')
    }, false)
